unit DFWDriveComboU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, DFWSelectDirView, DFWDriveCombo, ExtCtrls ;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    DFWDriveCombo1: TDFWDriveCombo;
    DFWSelectDirView1: TDFWSelectDirView;
    ListBox1: TListBox;
    Button1: TButton;
    Label2: TLabel;
    RadioGroup1: TRadioGroup;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure DFWDriveCombo1Change(Sender: TObject);
    procedure DFWDriveCombo1MediaArrival(Media: Char);
    procedure DFWDriveCombo1MediaRemove(Media: Char);
    procedure Button1Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure DFWSelectDirView1Change(Sender: TObject; Node: TTreeNode);
    procedure DFWSelectDirView1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  DFWSelectDirView1.Drive:=DFWDriveCombo1.Drive;;
end;

procedure TForm1.DFWDriveCombo1Change(Sender: TObject);
begin
  if DFWDriveCombo1.Drive<>DFWSelectDirView1.Drive then
    DFWSelectDirView1.Drive:=DFWDriveCombo1.Drive;
end;

procedure TForm1.DFWDriveCombo1MediaArrival(Media: Char);
begin
  if Media=DFWSelectDirView1.Drive then
    DFWSelectDirView1.Update;
end;

procedure TForm1.DFWDriveCombo1MediaRemove(Media: Char);
begin
  if Media=DFWSelectDirView1.Drive then
    DFWSelectDirView1.Drive:=DFWDriveCombo1.Drive;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  List: TStringList;
begin
  List:=TStringList.Create;
  ListBox1.Items.Clear;
  DFWSelectDirView1.GetSelection(List);
  ListBox1.Items.AddStrings(List);
  List.Free;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
     case radiogroup1.itemindex of
       0: DFWSelectDirView1.SetNodeState(DFWSelectDirView1.Selected, cmChecked);
       1: DFWSelectDirView1.SetNodeState(DFWSelectDirView1.Selected, cmGrayed);
       2: DFWSelectDirView1.SetNodeState(DFWSelectDirView1.Selected, cmUnchecked);
       3: DFWSelectDirView1.SetNodeState(DFWSelectDirView1.Selected, cmUniqueChecked);
       4: DFWSelectDirView1.SetNodeState(DFWSelectDirView1.Selected, cmUniqueGrayed);
     end;

end;

procedure TForm1.DFWSelectDirView1Change(Sender: TObject; Node: TTreeNode);
begin
     radiogroup1.itemindex:=Ord(DFWSelectDirView1.NodeState(Node));
end;

procedure TForm1.DFWSelectDirView1Click(Sender: TObject);
begin
     radiogroup1.itemindex:=Ord(DFWSelectDirView1.NodeState(DFWSelectDirView1.Selected));
end;

end.

